Optional: acting as Reseller
If you are registering a 10DLC campaign on behalf of third parties (e.g., your clients), you are required to also include your own contact information as part of the registration process. You can do so by including a resellerId in your POST campaign calls
The Reseller ID is a unique value to be shared by all workspaces, all brands, and all campaigns created under your Organization.
- If you operate as a reseller you only need to obtain a reseller UUID once and reuse it in all your requests
- If you intend to register one or more brands (for example multiple branches of your company) for your internal use you can NULL the field
You can create and manage your Reseller information via the UI when creating a campaign
you can retrieve information via the following method
Ensure your reseller status is active before creating a campaign with it
GET
/workspaces/{workspaceId}/tcr-resellers
List resellers in a workspace
Abfrageparameter
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwort-Payload
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display. To know more, refer to the pagination section.
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.id
string
UUID of the reseller.
results.organizationId
string
results.status
string
Reseller status
Possible values: FAILED, PENDING, ACTIVE, DELETED
results.companyName
string
erforderlich
Legal company name. This should match the legal company name used to register your EIN/Tax ID.
results.phone
string
erforderlich
Valid phone number in e.164 international format.
results.email
string
erforderlich
Valid email address of support contact.
results.createdAt
string
Timestamp (UTC) when the reseller was created.
results.updatedAt
string
Timestamp (UTC) when the reseller was last updated.
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/tcr-resellers' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'